Class ListFileMembersBuilder

java.lang.Object
com.dropbox.core.v2.sharing.ListFileMembersBuilder

public class ListFileMembersBuilder extends Object
The request builder returned by DbxUserSharingRequests.listFileMembersBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withActions

      public ListFileMembersBuilder withActions(List<MemberAction> actions)
      Set value for optional field.
      Parameters:
      actions - The actions for which to return permissions on a member. Must not contain a null item.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withIncludeInherited

      public ListFileMembersBuilder withIncludeInherited(Boolean includeInherited)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeInherited - Whether to include members who only have access from a parent shared folder. Defaults to true when set to null.
      Returns:
      this builder
    • withLimit

      public ListFileMembersBuilder withLimit(Long limit)
      Set value for optional field.

      If left unset or set to null, defaults to 100L.

      Parameters:
      limit - Number of members to return max per query. Defaults to 100 if no limit is specified. Must be greater than or equal to 1 and be less than or equal to 300. Defaults to 100L when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • start

      Issues the request.
      Throws:
      ListFileMembersErrorException
      DbxException